Get an OAuth2 client credentials auth method

GET https://api.ap1.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.ap2.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.datadoghq.eu/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.ddog-gov.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.us2.ddog-gov.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.uk1.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.us3.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.us5.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}

Información general

Get a single OAuth2 client credentials auth method by ID. This endpoint requires the integrations_read permission.

Argumentos

Parámetros de ruta

Nombre

Tipo

Descripción

auth_method_id [required]

string

The UUID of the auth method.

Respuesta

OK

Response containing an OAuth2 client credentials auth method.

Expand All

Campo

Tipo

Descripción

data [required]

object

OAuth2 client credentials data from a response.

attributes [required]

object

OAuth2 client credentials attributes returned by the API. The client_secret is never echoed.

access_token_url

string

URL of the OAuth2 access token endpoint.

audience

string

The intended audience for the OAuth2 access token.

client_id

string

The OAuth2 client ID issued by the authorization server.

name

string

Human-readable name for this auth method.

protocol

enum

Authentication protocol used by the auth method. Allowed enum values: oauth2-client-credentials

scope

string

Space-separated list of OAuth2 scopes to request.

id [required]

string

The ID of the OAuth2 client credentials auth method.

type [required]

enum

OAuth2 client credentials resource type. Allowed enum values: webhooks-auth-method-oauth2-client-credentials

default: webhooks-auth-method-oauth2-client-credentials

{
  "data": {
    "attributes": {
      "access_token_url": "https://example.com/oauth/token",
      "audience": "https://api.example.com",
      "client_id": "my-client-id",
      "name": "my-oauth2-auth",
      "protocol": "oauth2-client-credentials",
      "scope": "read:webhooks write:webhooks"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "webhooks-auth-method-oauth2-client-credentials"
  }
}

Forbidden

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  # Path parameters
export auth_method_id="CHANGE_ME"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/${auth_method_id}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
Get an OAuth2 client credentials auth method returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.webhooks_integration_api import WebhooksIntegrationApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = WebhooksIntegrationApi(api_client)
    response = api_instance.get_o_auth2_client_credentials(
        auth_method_id="auth_method_id",
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
# Get an OAuth2 client credentials auth method returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::WebhooksIntegrationAPI.new
p api_instance.get_o_auth2_client_credentials("auth_method_id")

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
// Get an OAuth2 client credentials auth method returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewWebhooksIntegrationApi(apiClient)
	resp, r, err := api.GetOAuth2ClientCredentials(ctx, "auth_method_id")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `WebhooksIntegrationApi.GetOAuth2ClientCredentials`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `WebhooksIntegrationApi.GetOAuth2ClientCredentials`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
// Get an OAuth2 client credentials auth method returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.WebhooksIntegrationApi;
import com.datadog.api.client.v2.model.WebhooksOAuth2ClientCredentialsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    WebhooksIntegrationApi apiInstance = new WebhooksIntegrationApi(defaultClient);

    try {
      WebhooksOAuth2ClientCredentialsResponse result =
          apiInstance.getOAuth2ClientCredentials("auth_method_id");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling WebhooksIntegrationApi#getOAuth2ClientCredentials");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
// Get an OAuth2 client credentials auth method returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_webhooks_integration::WebhooksIntegrationAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = WebhooksIntegrationAPI::with_config(configuration);
    let resp = api
        .get_o_auth2_client_credentials("auth_method_id".to_string())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Get an OAuth2 client credentials auth method returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.WebhooksIntegrationApi(configuration);

const params: v2.WebhooksIntegrationApiGetOAuth2ClientCredentialsRequest = {
  authMethodId: "auth_method_id",
};

apiInstance
  .getOAuth2ClientCredentials(params)
  .then((data: v2.WebhooksOAuth2ClientCredentialsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"